/*
	Bar Chart - Bar Chart using Canvas
	Copyright © 2007-2015 Harry Whitfield

	This program is free software; you can redistribute it and/or modify it
	under the terms of the GNU General Public License as published by the
	Free Software Foundation; either version 2 of the License, or (at your
	option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License along
	with this program; if not, write to the Free Software Foundation, Inc.,
	51 Franklin St, Fifth Floor, Boston, MA	 02110-1301	 USA

	Bar Chart - version 1.0
	13 May, 2015
	Copyright © 2007-2015 Harry Whitfield
	mailto:g6auc@arrl.net
*/

/*properties
    beginPath, clearRect, ctx, fill, fillStyle, fillText, font, height, rect,
    restore, save, width
*/

///////////////////////////////// Start  of  the Canvas functions ////////////////////////

function clear(canvas) {
    "use strict";
    canvas.ctx.clearRect(0, 0, canvas.width, canvas.height);
}

function makeBackground(canvas, width, height, bgColor, borderColor) {
    "use strict";
	canvas.ctx.beginPath();
	canvas.ctx.rect(0, 0, width, height);
	canvas.ctx.fillStyle = borderColor;
	canvas.ctx.fill();
	canvas.ctx.beginPath();
	canvas.ctx.rect(1, 1, width - 2, height - 2);
	canvas.ctx.fillStyle = bgColor;
	canvas.ctx.fill();
}

function plotBar(canvas, x, y, width, height, color) {
    "use strict";
	canvas.ctx.beginPath();
	canvas.ctx.rect(x, y, width, height);
	canvas.ctx.fillStyle = color;
	canvas.ctx.fill();
}

function show(canvas, text, hOff, vOff, font) {
    "use strict";
	canvas.ctx.save();
	canvas.ctx.font = font;
	canvas.ctx.fillText(text, hOff, vOff);
	canvas.ctx.restore();
}

///////////////////////////////// End  of  the Canvas functions //////////////////////////
