/*
	FFT Display - browser version 1.0
	13 May, 2015
	Copyright © 2010,2015 Harry Whitfield
	mailto:g6auc@arrl.net
*/

/*jslint this */

/*property
    INFINITY, NAN, add, i, im, modulus, mul, one, prototype, re, sqrt, sub,
    swap, zero
*/

function Complex(re, im) {							// constructor
    "use strict";
	this.re = re;
	this.im = im;
}

Complex.zero = new Complex(0, 0);
Complex.one = new Complex(1, 0);
Complex.i = new Complex(0, 1);
Complex.NAN = new Complex(NaN, NaN);
Complex.INFINITY = new Complex(Infinity, Infinity);

Complex.prototype.modulus = function () {			// modulus of complex number
    "use strict";
	return Math.sqrt(this.re * this.re + this.im * this.im);
};

Complex.prototype.add = function (b) {				// complex sum
    "use strict";
	return new Complex(this.re + b.re, this.im + b.im);
};

Complex.prototype.sub = function (b) {				// complex difference
    "use strict";
	return new Complex(this.re - b.re, this.im - b.im);
};

Complex.prototype.mul = function (b) {				// complex product
    "use strict";
	return new Complex(this.re * b.re - this.im * b.im, this.re * b.im + this.im * b.re);
};

Complex.prototype.swap = function (b) {
    "use strict";
	var re = this.re;
	var im = this.im;

	this.re = b.re;
	this.im = b.im;
	b.re = re;
	b.im = im;
};
