/*
    FFT Display
    Copyright © 2010,2015 Harry Whitfield

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of
    the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public
    License along with this program; if not, write to the Free
    Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
    MA  02110-1301  USA

    FFT Display - browser version 1.0
    7 July, 2015
    Copyright © 2010,2015 Harry Whitfield
    mailto:g6auc@arrl.net
*/

/*jslint browser, eval */

/*global Menu, multiplierValues, command, report, writeln, testFFT */

/*property
    altKey, keyCode, onchange, onkeypress, selectedIndex, shiftKey, value,
    which
*/

var waveformMenu = Menu[0];
var scaleMenu = Menu[1];
var multiplierMenu = Menu[2];
var unitsMenu = Menu[3];

var waveformPref = 4;
var scalePref = 1.0;
var multiplierPref = 1e0;
var unitsPref = "Units";
/*
function fftCall() {
    calcFFT(calcForm());
}
*/
command.onkeypress = function (event) {
    "use strict";
    var x = event.which || event.keyCode;
    var res;

    if (x === 13) {
        if (command.value !== "") {
            report.value += ":" + command.value + "\n";

            res = eval(command.value);
            if (res !== undefined) {
                writeln(res);
            }

            if (event.shiftKey) {
                command.value = "";
            }
            if (event.altKey) {
                command.value = "";
                report.value = "";
            }
        }
    }
};

waveformMenu.onchange = function () {
    "use strict";
    waveformPref = waveformMenu.selectedIndex;
    testFFT(waveformPref);
};

scaleMenu.onchange = function () {
    "use strict";
    scalePref = Number(scaleMenu.value);
    testFFT(waveformPref);
};

multiplierMenu.onchange = function () {
    "use strict";
    multiplierPref = multiplierValues[multiplierMenu.selectedIndex];
//  testFFT(waveformPref);
};

unitsMenu.onchange = function () {
    "use strict";
    unitsPref = unitsMenu.value;
//  testFFT(waveformPref);
};

testFFT(4);